#!/usr/bin/python

'''Simple, complete GUI widgets that aren't complex enough to merit
their own modules end up here.'''

import os
import sys
import pygtk
pygtk.require('2.0')
import gtk

import config
from misc import *
from misc_gui import *

class status_bar(gtk.HBox):
    '''A status line to be displayed at the bottom of the window

    TODO: Replace this with gtk.Statusbar'''
    text=''
    def __init__(self):
        gtk.HBox.__init__(self)
        spacer = gtk.Label('')
        label = gtk.Label('')
        self.pack_start(spacer, False)
        self.pack_start(label, True)
        self.label = label

    def set(self, message):
        if message:
            self.label.set_text('%s' % message)
        else:
            self.label.set_text('')
        self.text = message

    def get(self):
        return self.text

